### Enumeration

# Meta IdleMonitorWatchFlags

#### Declaration

    flags Meta.IdleMonitorWatchFlags

#### Description [src]

Flags affecting the behavior of the idle watch created by meta_idle_monitor_add_idle_watch_full().

#### Members

`META_IDLE_MONITOR_WATCH_FLAGS_NONE`

  No flag set.

  - Value: `0`
  - Available since: 18
`META_IDLE_MONITOR_WATCH_FLAGS_UNINHIBITABLE`

  Ignore inhibitors.

  - Value: `1`
  - Available since: 18
`META_IDLE_MONITOR_WATCH_FLAGS_START_NOW`

  Start idle timer now and ignore any previous idle time.

  - Value: `2`
  - Available since: 18